package jp.co.cybec.laxide.editpolicies;

import jp.co.cybec.laxide.model.commands.DeleteCommand;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

/**
 * 削除コマンド用のEditPolicy ファイル名：LetsAjaxComponentEditPolicy.java
 * 
 * @author nakamura 作成時刻：14:43:48
 * 
 */
public class LetsAjaxComponentEditPolicy extends ComponentEditPolicy {
	// オーバーライド
	protected Command createDeleteCommand(GroupRequest deleteRequest) {
		DeleteCommand command = new DeleteCommand();
		command.setContentsModel(getHost().getParent().getModel());
		command.setLaxModel(getHost().getModel());
		return command;
	}
}
